Bug 66384 - Anaconda fails due to Python error
Anaconda fails due to Python error
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-09 11:29 EDT by Maarten D. de Jong
Modified: 2008-03-06 14:57 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:49:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Maarten D. de Jong 2002-06-09 11:29:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)

Description of problem:
Upon first time install of Red Hat 7.3 (burned from ISO images) on a system 
already containing Linux (Slackware 7.1, but on a completely different disk Red 
Hat is supposed to go on), ananconda fails under both graphical as text mode 
install with the following Python error message:

Traceback (innermost last):
    File "/usr/bin/anaconda", line 503, in ?
        from text import InstallInterface
    File "/usr/bin/anaconda/text.py", line 28, in ?
        from language import expandLangs
ImportError: cannot import name expandLangs
install exited abnormally

The CD has been checksummed and has also passed 'linux mediacheck'. The error 
appears just after the X server (succesfully) starts and the Red Hat splash 
screen.

The error is identical under both graphical and text mode installation.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot from CD.
2. Press either [ENTER] at the prompt, or 'text [ENTER]'
3.
	

Actual Results:  Described above.

Expected Results:  Clean install---or at least no error ;-).

Additional info:
Comment 1 Jeremy Katz 2002-06-09 17:30:22 EDT
This looks like it might be a bad CD burn.  Do your CDs pass the mediacheck?

Starting with the Red Hat Linux 7.3 installer (also known as anaconda), it is
possible to test your install media using the installer.

To do this first boot the installer (either from CD or floppy), and wait until
you get a prompt. Then at the prompt type 'linux mediacheck'.

Then answer the first few screens of questions you get, then you will be asked
if you want to test your CD.

It is not necessary to test all the CDs, although this is recommended at least
once. If you only want to test one CD, choose 'Eject CD', then insert the CD you
want to test.

When done testing all the CDs insert the CD #1 and proceed withe the install (if
all the CDs passed, otherwise you will need to get a replacement for the bad
CD(s)).
Comment 2 Maarten D. de Jong 2002-06-09 18:24:31 EDT
I think I clearly stated in my original description the CD passed the 
mediacheck.
Comment 3 Maarten D. de Jong 2002-06-10 09:25:51 EDT
I just tried to run the CD on my laptop (an IBM Thinkpad 600E) where it ran 
with flying colours. So apparently my desktop hardware is flawed somewhere, but 
in a very subtle and nearly undetectable way, as it acts normally under all 
circumstances. Nevertheless, I would appreciate any insights you could give.
Comment 4 Jeremy Katz 2002-06-10 11:52:00 EDT
Sorry, missed reading that bit...  you might try booting with 'linux ide=nodma',
though the kernel should be disabling dma on cdrom devices by default.  Also,
we've had people say that just seating the IDE cable better on their CD-ROM
drives has made things work.
Comment 5 Michael Fulbright 2002-07-15 12:49:33 EDT
Closing due to inactivity, please reopen if you have additional information.
Comment 6 Red Hat Bugzilla 2006-02-21 13:49:04 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.